Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Problem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Problem.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Problem.cs	(revision 14927)
@@ -29,5 +29,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 
@@ -35,5 +35,5 @@
   [Item("Artificial Ant Problem", "Represents the Artificial Ant problem.")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 170)]
-  [StorableClass]
+  [StorableType("ecb1831f-a9c7-4944-a6cc-ce2f175849c4")]
   public sealed class Problem : SymbolicExpressionTreeProblem, IStorableContent {
 
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Trail.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Trail.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/ArtificialAnt/Trail.cs	(revision 14927)
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.ArtificialAnt {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("AntTrail", "Represents a trail of an artificial ant which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableType("dc50b1f8-cf94-44af-ab4b-f76caac10724")]
   public sealed class Solution : Item {
     public static new Image StaticItemImage {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/BasicSymbolicRegression/Problem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/BasicSymbolicRegression/Problem.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/BasicSymbolicRegression/Problem.cs	(revision 14927)
@@ -27,5 +27,5 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.Instances;
@@ -35,5 +35,5 @@
   [Item("Koza-style Symbolic Regression", "An implementation of symbolic regression without bells-and-whistles. Use \"Symbolic Regression Problem (single-objective)\" if you want to use all features.")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 900)]
-  [StorableClass]
+  [StorableType("1e56d6a9-432c-4bf9-878c-ccd67a0d4e4b")]
   public sealed class Problem : SymbolicExpressionTreeProblem, IRegressionProblem, IProblemInstanceConsumer<IRegressionProblemData>, IProblemInstanceExporter<IRegressionProblemData> {
 
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/EvenParityProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/EvenParityProblem.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/EvenParityProblem.cs	(revision 14927)
@@ -28,5 +28,5 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 
@@ -34,5 +34,5 @@
   [Item("Even Parity Problem", "The Boolean even parity genetic programming problem. See Koza, 1992, page 529 section 20.2 Symbolic Regression of Even-Parity Functions")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 900)]
-  [StorableClass]
+  [StorableType("6fa3fdae-9482-466f-8c87-9cc77c2c2ff1")]
   public sealed class EvenParityProblem : SymbolicExpressionTreeProblem {
 
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/MultiplexerProblem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/MultiplexerProblem.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/Boolean/MultiplexerProblem.cs	(revision 14927)
@@ -29,5 +29,5 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 
@@ -36,5 +36,5 @@
     "The Boolean multiplexer genetic programming problem. See Koza 1992, page 171, section 7.4.1 11-multiplexer.")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 900)]
-  [StorableClass]
+  [StorableType("d6062590-6916-4a32-9ab3-1d0b33079e5f")]
   public sealed class MultiplexerProblem : SymbolicExpressionTreeProblem {
 
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Problem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Problem.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Problem.cs	(revision 14927)
@@ -28,9 +28,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Problems.GeneticProgramming.LawnMower {
-  [StorableClass]
+  [StorableType("44093acd-bb40-4f86-b0c5-aef04df085bc")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 160)]
   [Item("Lawn Mower Problem", "The lawn mower demo problem for genetic programming.")]
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Solution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Solution.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/LawnMower/Solution.cs	(revision 14927)
@@ -23,8 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.LawnMower {
-  [StorableClass]
+  [StorableType("509e719a-b6be-4518-ade7-d89cb9ba04d6")]
   public sealed class Solution : NamedItem {
     [Storable]
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs	(revision 14927)
@@ -27,9 +27,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
   [Item("EnemyCollection", "A collection of enemy robots for the Robocode genetic programming problem.")]
-  [StorableClass]
+  [StorableType("a5f3037a-bd69-40ed-aea1-b48d393d99fb")]
   public class EnemyCollection : CheckedItemList<StringValue> {
     private const string sampleRobotToSelect = "sample.Crazy";
@@ -71,6 +71,5 @@
           robotList.SetItemCheckedState(robot, false);
         }
-      }
-      catch { }
+      } catch { }
 
       //select one robot so that if a user tries out the Robocode problem it works with the default settings
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs	(revision 14927)
@@ -23,8 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("555b3156-cc70-48d7-ba03-b6ac782ac1db")]
   [Item("Robocode Grammar", "The grammar for the Robocode GP problem.")]
   public class Grammar : SymbolicExpressionGrammar {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs	(revision 14927)
@@ -26,8 +26,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("9a97af49-4cd3-420f-af67-372a4471512c")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 360)]
   [Item("Robocode Problem", "Evolution of a robocode program in java using genetic programming.")]
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs	(revision 14927)
@@ -23,8 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("153c65f3-e0c3-412f-96a0-c5e0cbb3a068")]
   [Item("Solution", "Robocode program and configuration.")]
   public sealed class Solution : Item {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs	(revision 14927)
@@ -23,8 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("76874b36-2080-4aca-b69d-08ee3c9f3893")]
   public class BooleanTreeNode : SymbolicExpressionTreeTerminalNode {
     private bool value;
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs	(revision 14927)
@@ -23,8 +23,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("55e654cc-d027-4d54-a335-edaec07c32d3")]
   public class BooleanValue : Symbol {
     public override int MinimumArity { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs	(revision 14927)
@@ -23,8 +23,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("dea9e2d1-f55d-403e-81e8-781491c20dbe")]
   // a symbol that can represent any user-defined fragment of code
   public sealed class CodeSymbol : Symbol {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs	(revision 14927)
@@ -24,8 +24,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("4c78cf3c-2dd8-4904-abe9-0c74f8d50386")]
   public class Number : Symbol {
     public override int MinimumArity { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs	(revision 14927)
@@ -23,8 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("9453f738-3774-48d9-9fbf-141643ca1865")]
   public class NumberTreeNode : SymbolicExpressionTreeTerminalNode {
     private int value;
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs	(revision 14927)
@@ -24,8 +24,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("2fc0fded-8434-4fbc-b88e-44bff94f852b")]
   public class ShotPower : Symbol {
     public override int MinimumArity { get { return 0; } }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs	(revision 14927)
@@ -24,8 +24,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass]
+  [StorableType("391aabd9-f3aa-4ff9-a902-c858064e2bca")]
   public class ShotPowerTreeNode : SymbolicExpressionTreeTerminalNode {
     private double value;
